uniform float playerHeight;
uniform float modelHeight;

void main(void)
{
   	// gl_Vertex returns the local-space-position, not world space!
   	float brightness = 0.0034*(gl_Vertex.y+modelHeight-playerHeight)+0.6; // 1.75 / 512 = 0.00341796875
	if(brightness < 0.1)
		brightness = 0.1;
	else if(brightness > 1.0) {
		brightness = 1.0;
	}
	
	gl_FrontColor = vec4(brightness,brightness,brightness,1)*gl_Color;   				
		
   	gl_TexCoord[0] = gl_MultiTexCoord0;   	
  	gl_Position = ftransform();
}